- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgimpostor.cpp File Reference

`#include <osg/Geometry>`
`#include <osg/Impostor>`
`#include <osg/Material>`
`#include <osg/MatrixTransform>`
`#include <osg/Quat>`
`#include <osg/Geode>`
`#include <osgUtil/InsertImpostorsVisitor>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`
`#include "TestManipulator.h"`
`#include <iostream>`
`#include <list>`

Include dependency graph for osgimpostor.cpp:

## Typedefs
typedef osg::ref_ptr< osg::Node > | NodePtr
typedef std::list< NodePtr > | NodeContainer
typedef NodeContainer::iterator | NodeIterator
## Functions
void | CreateHouses ()
void | LayoutAsGrid ()
int | main (int argc, char **argv)
## Variables
NodeContainer | nodes
osg::Group * | Root = 0
const int | HOUSES_SIZE = 25000
double | XDim = 5000.0f
double | ZDim = 5000.0f
int | GridX = 20
int | GridY = 20
bool | UseImpostor = true
float | Threshold = 3000.0f

## Typedef Documentation

typedef std::list<NodePtr> NodeContainer

typedef NodeContainer::iterator NodeIterator

typedef osg::ref_ptr<osg::Node> NodePtr

## Function Documentation

void CreateHouses | ( |  | ) |

void LayoutAsGrid | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

## Variable Documentation

int GridX = 20

int GridY = 20

const int HOUSES_SIZE = 25000

NodeContainer nodes

osg::Group* Root = 0

float Threshold = 3000.0f

bool UseImpostor = true

double XDim = 5000.0f

double ZDim = 5000.0f